<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
<style type="text/css" media="screen">
	#barra{
		width: 300px;
		background: red;
		height: 150px;
	}
	#barra:hover,
	#barra:focus{
	background-color:blue;
	width: 800px;
	height: 500px;
  	transition: width 2s, height 4s, background-color 5s;
	}
	#caja{
		border: gold 5px solid;
		width: 1160px;
		height: 300px;
		display: flex;
		justify-content: flex-start;
		align-items: center;
		background-color: maroon;
	}
	#objeto{
		border: gold 5px solid;
		width: 200px;
		height: 200px;
		background-color: white;
	}
	#caja:hover #objeto{
		background-color: green;
		transform: translate(950px, 0px);
		border-radius: 50%;
		transition: background-color 8s, transform 10s, border-radius 10s;
	}
</style>
</head>
<body>
	<p>Pasa el raton por lo rojo</p>
	<div id="barra">
		
	</div>
	<div id="caja">
		<div id="objeto">
			
		</div>
	</div>
</body>
</html>